# Update a dispute Updates the specified Issuing `Dispute` object by setting the values of the parameters passed. Any parameters not provided will be left unchanged. Properties on the `evidence` object can be unset by passing in an empty string. ## Returns Returns an updated Issuing `Dispute` object if a valid identifier was provided. ## Parameters - `amount` (integer, optional) The dispute amount in the card’s currency and in the [smallest currency unit](https://docs.stripe.com/docs/currencies.md#zero-decimal). - `evidence` (object, optional) Evidence provided for the dispute. - `evidence.canceled` (object, optional) Evidence provided when `reason` is ‘canceled’. - `evidence.canceled.additional_documentation` (string, optional) (ID of a [file upload](https://stripe.com/docs/guides/file-upload)) Additional documentation supporting the dispute. - `evidence.canceled.canceled_at` (timestamp, optional) Date when order was canceled. - `evidence.canceled.cancellation_policy_provided` (boolean, optional) Whether the cardholder was provided with a cancellation policy. - `evidence.canceled.cancellation_reason` (string, optional) Reason for canceling the order. - `evidence.canceled.expected_at` (timestamp, optional) Date when the cardholder expected to receive the product. - `evidence.canceled.explanation` (string, optional) Explanation of why the cardholder is disputing this transaction. - `evidence.canceled.product_description` (string, optional) Description of the merchandise or service that was purchased. - `evidence.canceled.product_type` (enum, optional) Whether the product was a merchandise or service. Possible enum values: - `merchandise` Tangible goods such as groceries and furniture. - `service` Intangible goods such as domain name registration, flights and lessons. - `evidence.canceled.return_status` (enum, optional) Result of cardholder’s attempt to return the product. Possible enum values: - `merchant_rejected` The merchant rejected the return. - `successful` The merchant accepted the return. - `evidence.canceled.returned_at` (timestamp, optional) Date when the product was returned or attempted to be returned. - `evidence.duplicate` (object, optional) Evidence provided when `reason` is ‘duplicate’. - `evidence.duplicate.additional_documentation` (string, optional) (ID of a [file upload](https://stripe.com/docs/guides/file-upload)) Additional documentation supporting the dispute. - `evidence.duplicate.card_statement` (string, optional) (ID of a [file upload](https://stripe.com/docs/guides/file-upload)) Copy of the card statement showing that the product had already been paid for. - `evidence.duplicate.cash_receipt` (string, optional) (ID of a [file upload](https://stripe.com/docs/guides/file-upload)) Copy of the receipt showing that the product had been paid for in cash. - `evidence.duplicate.check_image` (string, optional) (ID of a [file upload](https://stripe.com/docs/guides/file-upload)) Image of the front and back of the check that was used to pay for the product. - `evidence.duplicate.explanation` (string, optional) Explanation of why the cardholder is disputing this transaction. - `evidence.duplicate.original_transaction` (string, optional) Transaction (e.g., ipi_…) that the disputed transaction is a duplicate of. Of the two or more transactions that are copies of each other, this is original undisputed one. - `evidence.fraudulent` (object, optional) Evidence provided when `reason` is ‘fraudulent’. - `evidence.fraudulent.additional_documentation` (string, optional) (ID of a [file upload](https://stripe.com/docs/guides/file-upload)) Additional documentation supporting the dispute. - `evidence.fraudulent.explanation` (string, optional) Explanation of why the cardholder is disputing this transaction. - `evidence.merchandise_not_as_described` (object, optional) Evidence provided when `reason` is ‘merchandise_not_as_described’. - `evidence.merchandise_not_as_described.additional_documentation` (string, optional) (ID of a [file upload](https://stripe.com/docs/guides/file-upload)) Additional documentation supporting the dispute. - `evidence.merchandise_not_as_described.explanation` (string, optional) Explanation of why the cardholder is disputing this transaction. - `evidence.merchandise_not_as_described.received_at` (timestamp, optional) Date when the product was received. - `evidence.merchandise_not_as_described.return_description` (string, optional) Description of the cardholder’s attempt to return the product. - `evidence.merchandise_not_as_described.return_status` (enum, optional) Result of cardholder’s attempt to return the product. Possible enum values: - `merchant_rejected` The merchant rejected the return. - `successful` The merchant accepted the return. - `evidence.merchandise_not_as_described.returned_at` (timestamp, optional) Date when the product was returned or attempted to be returned. - `evidence.no_valid_authorization` (object, optional) Evidence provided when `reason` is ‘no_valid_authorization’. - `evidence.no_valid_authorization.additional_documentation` (string, optional) (ID of a [file upload](https://stripe.com/docs/guides/file-upload)) Additional documentation supporting the dispute. - `evidence.no_valid_authorization.explanation` (string, optional) Explanation of why the cardholder is disputing this transaction. - `evidence.not_received` (object, optional) Evidence provided when `reason` is ‘not_received’. - `evidence.not_received.additional_documentation` (string, optional) (ID of a [file upload](https://stripe.com/docs/guides/file-upload)) Additional documentation supporting the dispute. - `evidence.not_received.expected_at` (timestamp, optional) Date when the cardholder expected to receive the product. - `evidence.not_received.explanation` (string, optional) Explanation of why the cardholder is disputing this transaction. - `evidence.not_received.product_description` (string, optional) Description of the merchandise or service that was purchased. - `evidence.not_received.product_type` (enum, optional) Whether the product was a merchandise or service. Possible enum values: - `merchandise` Tangible goods such as groceries and furniture. - `service` Intangible goods such as domain name registration, flights and lessons. - `evidence.other` (object, optional) Evidence provided when `reason` is ‘other’. - `evidence.other.additional_documentation` (string, optional) (ID of a [file upload](https://stripe.com/docs/guides/file-upload)) Additional documentation supporting the dispute. - `evidence.other.explanation` (string, optional) Explanation of why the cardholder is disputing this transaction. - `evidence.other.product_description` (string, optional) Description of the merchandise or service that was purchased. - `evidence.other.product_type` (enum, optional) Whether the product was a merchandise or service. Possible enum values: - `merchandise` Tangible goods such as groceries and furniture. - `service` Intangible goods such as domain name registration, flights and lessons. - `evidence.reason` (enum, optional) The reason for filing the dispute. The evidence should be submitted in the field of the same name. Possible enum values: - `canceled` Service or merchandise was canceled. - `duplicate` There were multiple copies of a charge for a single purchase, or the charge was paid by other means. - `fraudulent` The cardholder’s details were compromised and the cardholder claims to not have participated in the transaction. - `merchandise_not_as_described` The merchandise was not as described. - `no_valid_authorization` The merchant processed a transaction without first obtaining a correct and valid authorization approval. - `not_received` Merchandise or service was not received. - `other` All other types of disputes. - `service_not_as_described` The service was not as described. - `evidence.service_not_as_described` (object, optional) Evidence provided when `reason` is ‘service_not_as_described’. - `evidence.service_not_as_described.additional_documentation` (string, optional) (ID of a [file upload](https://stripe.com/docs/guides/file-upload)) Additional documentation supporting the dispute. - `evidence.service_not_as_described.canceled_at` (timestamp, optional) Date when order was canceled. - `evidence.service_not_as_described.cancellation_reason` (string, optional) Reason for canceling the order. - `evidence.service_not_as_described.explanation` (string, optional) Explanation of why the cardholder is disputing this transaction. - `evidence.service_not_as_described.received_at` (timestamp, optional) Date when the product was received. - `metadata` (object, optional) Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`. ```curl curl https://api.stripe.com/v1/issuing/disputes/idp_1MykdxFtDWhhyHE1BFAV3osZ \ -u "<>" \ -d "evidence[reason]"=not_received \ -d "evidence[not_received][expected_at]"=1590000000 \ -d "evidence[not_received][explanation]"= \ -d "evidence[not_received][product_description]"="Baseball cap" \ -d "evidence[not_received][product_type]"=merchandise ``` ### Response ```json { "id": "idp_1MykdxFtDWhhyHE1BFAV3osZ", "object": "issuing.dispute", "amount": 100, "created": 1681947753, "currency": "usd", "evidence": { "reason": "not_received", "not_received": { "expected_at": 1590000000, "explanation": "", "product_description": "Baseball cap", "product_type": "merchandise" } }, "livemode": false, "metadata": {}, "status": "unsubmitted", "transaction": "ipi_1MykXhFtDWhhyHE1UjsZZ3xQ" } ```